Last Comment Bug 849120 - change "send error to error reporter" from forking to running a process
: change "send error to error reporter" from forking to running a process
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: General (show other bugs)
: Production
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Byron Jones ‹:glob› [PTO until 2016-10-10]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-08 00:09 PST by Byron Jones ‹:glob› [PTO until 2016-10-10]
Modified: 2013-03-24 21:50 PDT (History)
4 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch v1 (3.24 KB, patch)
2013-03-14 01:30 PDT, Byron Jones ‹:glob› [PTO until 2016-10-10]
dkl: review+
Details | Diff | Splinter Review

Description Byron Jones ‹:glob› [PTO until 2016-10-10] 2013-03-08 00:09:00 PST
currently when bmo sends its error report to its error reporting server (currently arecibo), it forks and detaches to deliver the message in the background.

after bmo was upgraded to 4.2 (along with rhel5 -> rhel6), it looks like this has resulted in a lot of zombie httpd processes.

we should change it to build the payload and serialise it (to json or whatever), and then run a separate script which sends it to arecibo/sentry (either piping the payload to it, or saving to the temp directory and passing the filename as an argument).
Comment 1 Byron Jones ‹:glob› [PTO until 2016-10-10] 2013-03-08 00:20:47 PST
i've disabled arecibo on production until this is sorted.
the syslog entries will now contain a full stacktrace.
Comment 2 Byron Jones ‹:glob› [PTO until 2016-10-10] 2013-03-14 01:30:03 PDT
Created attachment 724826 [details] [diff] [review]
patch v1
Comment 3 David Lawrence [:dkl] 2013-03-24 20:52:19 PDT
Comment on attachment 724826 [details] [diff] [review]
patch v1

Review of attachment 724826 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good. I was not able to actually test sending of data to the Arecibo instance but everything else seemed to work fine. r=dkl

::: arecibo.pl
@@ +21,5 @@
> +use lib "$Bin/lib";
> +
> +use Bugzilla;
> +use File::Slurp;
> +use POSIX qw(setsid nice);

Do not see nice() being used. In the old code, you were using nice(19).
Comment 4 Byron Jones ‹:glob› [PTO until 2016-10-10] 2013-03-24 21:50:55 PDT
committed a nicer patch:

Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bmo/4.2/
added arecibo.pl
modified Bugzilla/Arecibo.pm
modified Bugzilla/Install/Filesystem.pm
Committed revision 8684.

Note You need to log in before you can comment on or make changes to this bug.